#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'ams.regis_user'}
#{/set}

<ol class="breadcrumb">
    <li class="active">&{'ams.regis_user'}</li>
</ol>

<div class="content">
#{alert /}
#{if input}
    #{form @osd.AmsCtr.simpan(), method:'POST', id:'formPegawai', enctype :'multipart/form-data'}
        <div class="form-group ">
            <label class="col-lg-2 control-label">&{'ams.nama'}</label>
            <div class="col-lg-10 #{errorClass 'form.nama' /}">
                <input type="text" size="30" maxlength="80"  name="form.nama" value="${form?.nama}" class="form-control" readonly>
                <span class="help-block">#{error 'form.nama' /}</span>
            </div>
        </div>
        <div class="form-group">
            <label class="col-lg-2 control-label">NIK  #{if !isPanitia} &{'ams.direktur'} #{/if}<span class="warning"> *</span></label>
            <div class="col-lg-10 #{errorClass 'form.nik'/}">
                <input type="text" maxlength="20" name="form.nik" value="${form?.nik}" class="form-control" required/>
                <span class="help-block">#{error 'form.nik' /}</span>
            </div>
        </div>
        #{if isPanitia}
            <div class="form-group">
                <label class="col-lg-2 control-label">&{'ams.nip'}<span class="warning"> *</span></label>
                <div class="col-lg-10 #{errorClass 'form.nip'/}">
                    <input type="text" maxlength="20" id="nip" name="form.nip" value="${form?.nip}" class="form-control" #{if isPanitia} readonly#{/if}/>
                    <span class="help-block">#{error 'form.nip' /}</span>
                </div>
            </div>
        #{/if}
        <div class="form-group">
            <label class="col-lg-2 control-label">&{'ams.email'} <span class="warning"> *</span></label>
            <div class="col-lg-10 #{errorClass 'form.email'/}">
                <input type="text" id="email" size="40" maxlength="80" name="form.email" value="${form?.email}" class="form-control" placeholder="Contoh : lkpp@gmail.com" readonly>
                <span class="help-block">#{error 'form.email' /}</span><span id="emailspan"></span>
            </div>
        </div>
        <div class="form-group">
            <label class="col-lg-2 control-label">&{'ams.telepon'} <span class="warning"> *</span></label>
            <div class="col-lg-10 #{errorClass 'form.nomor_telepon'/}">
                <input type="text" id="telp" size="15" maxlength="20" name="form.nomor_telepon" value="${form?.nomor_telepon}" class="form-control" onkeypress="return isNumberKey(event)" readonly>
                <span class="help-block">#{error 'form.nomor_telepon' /}</span>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Kota</label>
            <div class="col-lg-10 ">
                <input type="text" size="30" maxlength="80"  name="form.kota" value="${form?.kota}" class="form-control" readonly>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Provinsi</label>
            <div class="col-lg-10 ">
                <input type="text" size="30" maxlength="80"  name="form.provinsi" value="${form?.provinsi}" class="form-control" readonly>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-lg-2 col-form-label">${unitKerjaLabel}<span class="warning"> *</span></label>
                #{if isPanitia}
                    <div class="col-lg-10">
                        #{selectInstansi 'form.instansi', value:form.instansi /}
                        <div class="invalid-feedback">#{error 'form.instansi' /}</div>
                    </div>
                #{/if}
                #{else}
                    <div class="col-lg-10">
                        <input type="text" size="20" maxlength="100" name="form.unit_kerja" value="${form?.getUnitName()}" class="form-control">
                    </div>
                #{/else}
        </div>
        #{if isPanitia}
            <div class="form-group row">
                <label class="col-lg-2 col-form-label">Satuan Kerja<span class="warning"> *</span></label>
                    <div class="col-lg-10">
                        <select id="satker" name="form.unit_kerja" class="form-control  selectpicker #{validate 'form.unit_kerja'/}" data-live-search="true" data-width="auto"></select>
                        <div class="invalid-feedback">#{error 'form.unit_kerja' /}</div>
                    </div>
            </div>
        #{/if}

        <div class="form-group row">
            <label class="col-lg-2 col-form-label">Jabatan</label>
            <div class="col-lg-10">
                <input type="text" size="20" maxlength="100" name="form.jabatan" value="${form?.jabatan}" class="form-control">
            </div>
        </div>
        #{include 'ams/parts/photo-file-part.html'/}
        <div class="form-group row">
            <div class="col-lg-offset-2 col-lg-10">
                #{saveButton /}
                #{backButton action:@controllers.PublikCtr.index() /}
            </div>
        </div>
    #{/form}
        <div class="bs-callout bs-callout-warning">
            <span class="warning">*</span> Data ini wajib diisi.
        </div>
#{/if}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="${cdnUrl}/js/form.util.js"></script>
<script type="text/javascript">
    $("#instansi").on("change",function () {
        var instansiId = $(this).val();
        $.post("@{controllers.osd.AmsCtr.getSatker()}",
            { instansi:instansiId },
            function(data){
                var html = [];

                for (var i = 0, len = data.list.length; i < len; i++) {
                    var obj = data.list[i];
                    html.push("<option value='"+obj.id+"'>"+obj.label+"</option>");
                }

                $("#satker").html(html.join(""));
                $("#satker").selectpicker("refresh");
            }
        );
    });

    $("#email").blur(function()
    {
        var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
        var emailaddress = $("#email").val();
        if(!emailReg.test(emailaddress)) {
            $("#emailspan").html('<font color="#cc0000">Format Email "' + emailaddress + '" tidak valid!</font>');
            $("#email").val("");
        } else {
            $("#emailspan").html('<font color="#cc0000"></font>');
        }
    });
</script>
#{/set}